﻿@page "/program-detail"
@inject IProgramsRepository ProgramsRepository

<PageTitle Title="プログラム詳細" />

<EditForm Model="@program" OnValidSubmit="OnValidSubmit">
    <DataAnnotationsValidator />
    <MudCard>
        <MudCardHeader>
            <MudText Typo="Typo.h6">基本情報</MudText>
        </MudCardHeader>
        <MudCardContent>
            <MudItem md="4">
                <SubSystemSelection @bind-SubSystemId="program.SubSystemId" />
            </MudItem>
            <MudTextField Label="プログラムID" @bind-Value="program.ProgramId" For="@(()=>program.ProgramId)" />
            <MudTextField Label="プログラム名" @bind-Value="program.Name" For="@(()=>program.Name)" />
            <MudTextField Label="目的" @bind-Value="program.Purpose" For="@(()=>program.Purpose)" />
            <MudTextField Label="機能概要" @bind-Value="program.FunctionalOverview" For="@(()=>program.FunctionalOverview)" />
        </MudCardContent>
    </MudCard>
    <MudButton ButtonType="ButtonType.Submit" Variant="Variant.Filled" Color="Color.Primary" Class="mt-4">追加</MudButton>
    <MudButton Variant="Variant.Filled" Color="Color.Primary" Link="/program-list" Class="mt-4">戻る</MudButton>
</EditForm>

@code {
    private ProgramEntity program = new();

    private async void OnValidSubmit(EditContext context)
    {
        await ProgramsRepository.CreateProgram(program);
    }
}